---
lang: en
title: 'API docs: core.application.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.application.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [(constructor)](./core.application.(constructor).md)

## Application.(constructor)

Constructs a new instance of the `Application` class

<b>Signature:</b>

```typescript
constructor(options?: ApplicationConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>ApplicationConfig</code> |  |


